Subject: RE: libwinsock.a? Using mu own socket routines ...?
From: [email-masked] (Sergey Okhapkin)

6 Jun 1997 21:09:18 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "[email-masked]'" <[email-masked]>,
        "'Michael Anderson'"
	 <[email-masked]>
Encoding: 18 TEXT
Original-Sender: [email-masked]

Michael Anderson wrote:
> I have done my own socket mappings and wish to use them instead of the
> provided cygwin32_socket() family of routines in sys/socket.h and
> netdb.h. When I comment-out the mapping defines in these two files, the
> compiler complains that socket(), accept(), etc are unresolved
> references. My code has correct prototypes. If I add -lwsock32 to the
> compile line, only WSAStartup() and WSACleanup are resolved.

#define Win32_Winsock          
#include <windows.h>

Of course, you must add -lwsock32 to compiler's command line. I just compiled with gcc and ran native winsock code.

-- 
Sergey Okhapkin
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".